using System.Collections;
using System.Collections.Generic;
using Unity.VisualScripting;
using UnityEngine;

public class BasicEnemyShootingState : IState
{

    public void OnEnter(BasicEnemyStateController sc)
    {

    }

    public void UpdateState(BasicEnemyStateController sc)
    {

    }

    public void OnExit(BasicEnemyStateController sc)
    {

    }

}
